Skip to main content
POST
/
v1
/
organizations
/
{organization_id}
/
certification-types
Create certification type in organization
curl --request POST \
  --url https://api.natecosmic.com/v1/organizations/{organization_id}/certification-types \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "slug": "<string>",
  "title": "<string>",
  "description": "<string>",
  "scope": "standard",
  "status": "active"
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "slug": "<string>",
    "title": "<string>",
    "description": "<string>",
    "scope": "standard",
    "status": "active",
    "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Scopes (integration tokens): organizations:read, organization-members:read|write, certifications:read|write, job-roles:read|write, qualifications:read|write, certification-types:read|write.

Headers

Idempotency-Key
string

Optional idempotency key for create/upsert. Same key with the same payload must not create duplicate resources.

Path Parameters

organization_id
string<uuid>
required

Organization identifier

Body

application/json
slug
string
title
string
description
string
scope
enum<string>
Available options:
standard,
organization
status
enum<string>
Available options:
active,
archived

Response

Created

data
object
required